package cn.wisenergy.service.Manager;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.mapper.AntiFakeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author 86187
 */
@Component
public class AntiFakeManger {
    @Autowired
    private AntiFakeMapper antiFakeMapper;

    @Transactional(rollbackFor = Exception.class)
    public Boolean updateAntiFake(List<Long> array) {
        //修改二维码使用状态
        int updateUseStatus = antiFakeMapper.updateUseStatus(array);
        return updateUseStatus == array.size();
    }
}
