package cn.wisenergy.mapper;

import cn.wisenergy.model.app.CultivatingPrize;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 培育奖金额对应表
 *
 * @author zw
 */
public interface CultivatingPrizeMapper extends BaseMapper<CultivatingPrize> {

    /**
     * 根据用户等级获取培育奖对应金额
     *
     * @return
     */
    CultivatingPrize getcultivatingPrizeByUserLevel(int userLevel);

    /**
     * 查询所有信息
     *
     * @return
     */
    List<CultivatingPrize> getCultivatingPrizeList();

    /**
     * 编辑培育奖信息
     *
     * @param cultivatingPrize 信息
     * @return 1
     */
    int edit(CultivatingPrize cultivatingPrize);

}
